<?php
include("../includes/session.php");
include("../includes/functions.php");
include("../includes/db.php");
session(1);

if(!empty($_POST['ord_anno'])){

	if(!is_date($_POST['ord_datafine']))
		$error = 'Inserire termine prenotazioni';
	else if(!is_date($_POST['ord_dataricons']))
		$error = 'Inserire termine riconsegna';
	else if(is_date($_POST['ord_datafine']) > is_date($_POST['ord_dataricons']))
		$error = 'Termine prenotazioni posteriore termine riconsegna';
	else if(intval($_POST['ord_pnt']) == 0)
		$error = 'Inserire punteggio max';
	//nuovo ordine
	else if($_POST['id'] == 0){

		//guardo il numero ordine da assegnare per quest'anno e questa stagione
		$result = mysql_query("SELECT MAX(ord_n) AS n FROM ordini WHERE ord_anno = ".$_POST['ord_anno']." AND ord_stagione = ".$_POST['ord_stagione']);
		$ord_n = mysql_result($result,0,'n') + 1;

		//inserisco l'ordine
		mysql_query("INSERT INTO ordini (ord_anno,ord_stagione,ord_n,ord_pnt,ord_dataricons,ord_datafine) VALUES 
		(".$_POST['ord_anno'].", ".$_POST['ord_stagione'].",".intval($ord_n).",".intval($_POST['ord_pnt']).",'".is_date($_POST['ord_dataricons'])."','".is_date($_POST['ord_datafine'])."')");
		
		
		$js = 'reloadHome();closeDiag()';
	//modifica ordine
	}else if($_POST['id'] > 0){
		mysql_query("UPDATE ordini SET 
		ord_anno=".$_POST['ord_anno'].",
		ord_stagione=".$_POST['ord_stagione'].",
		ord_pnt='".intval($_POST['ord_pnt'])."',
		ord_dataricons='".is_date($_POST['ord_dataricons'])."',
		ord_datafine='".is_date($_POST['ord_datafine'])."' 
		WHERE ord_id = ".intval($_POST['id']));
		$js = 'reloadHome();closeDiag()';
	}
	
	if($error)
		die('<div class="error_msg">'.$error.'</div>');
	else
		die('<script language="javascript">'.$js.'</script>');
}

if(!empty($_GET['id'])){
	$id = intval($_GET['id']);
	$result = mysql_query("SELECT * FROM ordini WHERE ord_id = ".intval($_GET['id']));
	if(mysql_num_rows($result) > 0){
		$ord_anno = mysql_result($result,0,'ord_anno');
		$ord_stagione = mysql_result($result,0,'ord_stagione');
		$ord_dataricons = strftime('%d/%m/%Y',strtotime(mysql_result($result,0,'ord_dataricons')));
		$ord_datafine = strftime('%d/%m/%Y',strtotime(mysql_result($result,0,'ord_datafine')));
		$ord_pnt = mysql_result($result,0,'ord_pnt');
	}
}
?>
<form action="<?php echo $_SERVER['PHP_SELF'];?>" id="f_newOrder" onsubmit="return false;">

	<div class="f_row">
		<label>Stagione</label> 
        <select name="ord_stagione">
        	<option value="1">Estivo</option>
        	<option value="0"<?php if($ord_stagione==0) echo ' selected="selected"'; ?>>Invernale</option>
        </select>
    </div>
	<div class="f_row">
		<label>Anno</label>
        <select name="ord_anno">
        	<?php
			$y = !$ord_anno ? date("Y") : $ord_anno;
			for($i=date("Y")+1;$i>=2012;$i--){
				$sel = $y==$i ? ' selected="selected"' : '';
				echo '<option'.$sel.' value="'.$i.'"'. ($i==date("Y") ? ' selected="selected"' : '') .'>'.$i.'</option>';
			}
			?>
        </select>
    </div>

    <div class="f_row">
		<label>Termine prenotazioni</label>
        <input id="ord_datafine" name="ord_datafine" type="text" readonly style="width:90px;" value="<?php echo $ord_datafine;?>" />
    </div>
	
    <div class="f_row">
		<label>Termine riconsegna</label>
        <input id="ord_dataricons" name="ord_dataricons" type="text" readonly style="width:90px;" value="<?php echo $ord_dataricons;?>" />
    </div>

    <div class="f_row">
		<label>Punti max</label>
        <input id="ord_pnt" name="ord_pnt" type="text" style="width:90px;" value="<?php echo $ord_pnt;?>" />
    </div>
	
    <div id="dialog_result"></div>
    
    <div class="dialog_btns" style="text-align:center">
        <button class="btn" type="button" onclick="post('f_newOrder','dialog_result')">INSERISCI</button>
    </div>
	<input type="hidden" name="id" value="<?php echo intval($_GET['id']); ?>" />
</form>
<script>
$( "#ord_dataricons, #ord_datafine" ).datepicker( $.datepicker.regional['it'] );
</script>